Steerd API
Activities

List activities

GET
/api/public/v1/activities
AuthorizationBearer <token>

In: header

Query Parameters

limit?string
cursor?string
sort?string
order?string

Value in

  • "asc"
  • "desc"
q?string
project_id?string
contact_id?string
organization_id?string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v1/activities"
{  "data": [    {      "activity_date": "string",      "contact_id": "string",      "content": "string",      "created_at": "string",      "id": "string",      "metadata": {        "property1": null,        "property2": null      },      "organization_id": "string",      "project_id": "string",      "type": "note"    }  ],  "page": {    "hasMore": true,    "nextCursor": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}